#!/bin/bash

echo
echo "Using sudo bash ./install_asus_library.sh to install the library files, the header files, and the binary files."
echo

RESULT=1
LIB_NAME="/usr/lib/libasusapi.*"
INCLUDE_FOLDER="/usr/include/asusapi/"
BIN_NAME="/usr/bin/asusapiapp"
LIB_FILE="libasusapi.so"
LIB_FILE_MAJOR="libasusapi.so.1"

exitfunc(){
    echo
    echo
    echo "####################################################################"
    echo "############################  FAIL  ################################"
    echo "####################################################################"
    echo
    echo
    exit 1
}

echo "Press Y or y to continue..."
read input
if [[ $input == "Y" || $input == "y" ]]; then 
    echo ""
else
    exitfunc
fi

rm -rf $LIB_NAME
RET_ERROR_CODE=$?
if [ $RET_ERROR_CODE -ne 0 ]; then echo "FAIL to rm $LIB_NAME with err: $RET_ERROR_CODE" && exitfunc
fi
rm -rf $INCLUDE_FOLDER
RET_ERROR_CODE=$?
if [ $RET_ERROR_CODE -ne 0 ]; then echo "FAIL to rm $INCLUDE_FOLDER with err: $RET_ERROR_CODE" && exitfunc
fi
rm -rf $BIN_NAME
RET_ERROR_CODE=$?
if [ $RET_ERROR_CODE -ne 0 ]; then echo "FAIL to rm $BIN_NAME with err: $RET_ERROR_CODE" && exitfunc
fi

cp -rv ./usr/* /usr/
RET_ERROR_CODE=$?
if [ $RET_ERROR_CODE -ne 0 ]; then echo "FAIL to cp -r ./usr/* /usr/ with err: $RET_ERROR_CODE" && exitfunc
fi
ldconfig
RET_ERROR_CODE=$?
if [ $RET_ERROR_CODE -ne 0 ]; then echo "FAIL to ldconfig with err: $RET_ERROR_CODE" && exitfunc
fi
ln -s /usr/lib/$LIB_FILE_MAJOR /usr/lib/$LIB_FILE
RET_ERROR_CODE=$?
if [ $RET_ERROR_CODE -ne 0 ]; then echo "FAIL to ln -s $LIB_FILE_MAJOR $LIB_FILE with err: $RET_ERROR_CODE" && exitfunc
fi

if [ $RESULT = "1" ]; then
    echo
    echo
    echo "####################################################################"
    echo "############################  PASS  ################################"
    echo "####################################################################"
    echo
    echo
else
    echo
    echo
    echo "####################################################################"
    echo "############################  FAIL  ################################"
    echo "####################################################################"
    echo
    echo
fi
